package de.steamwar.lobby.particle.elements;

import de.steamwar.lobby.particle.ParticleElement;
import de.steamwar.lobby.particle.ParticleTickData;

public class Sneaking extends DelegatingParticleElement {

    public Sneaking(ParticleElement particleElement) {
        super(particleElement);
    }

    @Override
    public String attribute() {
        return "PARTICLE_ATTRIBUTE_SNEAKING";
    }

    @Override
    public void tick(ParticleTickData particleTickData) {
        if (!particleTickData.getPlayer().isSneaking()) {
            return;
        }
        particleElement.tick(particleTickData);
    }
}
